SDL_RenderGeometryRaw(3)

NAME
SDL_RenderGeometryRaw - Render a list of triangles, optionally using a texture and indices into the vertex arrays Color and alpha modulation is done per vertex (SDL_SetTextureColorMod and SDL_SetTextureAlphaMod are ignored).

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_RenderGeometryRaw(SDL_Renderer *renderer,
                   SDL_Texture *texture,
                   const float *xy, int xy_stride,
                   const SDL_FColor *color, int color_stride,
                   const float *uv, int uv_stride,
                   int num_vertices,
                   const void *indices, int num_indices, int size_indices);

FUNCTION PARAMETERS

renderer
    the rendering context.

texture
    (optional) The SDL texture to use.

xy  vertex positions.

xy_stride
    byte size to move from one element to the next element.

color
    vertex colors (as SDL_FColor).

color_stride
    byte size to move from one element to the next element.

uv  vertex normalized texture coordinates.

uv_stride
    byte size to move from one element to the next element.

num_vertices
    number of vertices.

indices
    (optional) An array of indices into the 'vertices' arrays, if NULL all vertices will be rendered in sequential order.

num_indices
    number of indices.

size_indices
    index size: 1 (byte), 2 (short), 4 (int).

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RenderGeometry(3)